﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

// 
// This source code was auto-generated by xsd, Version=4.0.30319.33440.
// 
namespace TadpoleOrder {
    //using System.Xml.Serialization;
    
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/", IsNullable=false)]
    public partial class tadpoleToCows {
        
        private RequestInformation requestInformationField;
        
        private int requestVersionField;
        
        private ResponseDescription responseDescriptionField;
        
        private string requestReceiveDateField;
        
        private bool requestReceiveDateFieldSpecified;
        
        private object itemField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public RequestInformation requestInformation {
            get {
                return this.requestInformationField;
            }
            set {
                this.requestInformationField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public int requestVersion {
            get {
                return this.requestVersionField;
            }
            set {
                this.requestVersionField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public ResponseDescription responseDescription {
            get {
                return this.responseDescriptionField;
            }
            set {
                this.responseDescriptionField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string requestReceiveDate {
            get {
                return this.requestReceiveDateField;
            }
            set {
                this.requestReceiveDateField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool requestReceiveDateSpecified {
            get {
                return this.requestReceiveDateFieldSpecified;
            }
            set {
                this.requestReceiveDateFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("acknowledgment", typeof(AcknowledgmentInformation), Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        [System.Xml.Serialization.XmlElementAttribute("disconnectService", typeof(tadpoleToCowsDisconnectService), Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        [System.Xml.Serialization.XmlElementAttribute("disconnectServiceCancel", typeof(tadpoleToCowsDisconnectServiceCancel), Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        [System.Xml.Serialization.XmlElementAttribute("newOrderCancel", typeof(tadpoleToCowsNewOrderCancel), Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        [System.Xml.Serialization.XmlElementAttribute("newOrderInstall", typeof(tadpoleToCowsNewOrderInstall), Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        [System.Xml.Serialization.XmlElementAttribute("newOrderModify", typeof(tadpoleToCowsNewOrderModify), Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public object Item {
            get {
                return this.itemField;
            }
            set {
                this.itemField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public partial class RequestInformation {
        
        private int requestIDField;
        
        private RequestInformationRequestType requestTypeField;
        
        private string timestampField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public int requestID {
            get {
                return this.requestIDField;
            }
            set {
                this.requestIDField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public RequestInformationRequestType requestType {
            get {
                return this.requestTypeField;
            }
            set {
                this.requestTypeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string timestamp {
            get {
                return this.timestampField;
            }
            set {
                this.timestampField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public enum RequestInformationRequestType {
        
        /// <remarks/>
        NewOrderInstall,
        
        /// <remarks/>
        NewOrderModify,
        
        /// <remarks/>
        NewOrderCancel,
        
        /// <remarks/>
        NewOrderRework,
        
        /// <remarks/>
        DisconnectService,
        
        /// <remarks/>
        DisconnectServiceCancel,
        
        /// <remarks/>
        DisconnectServiceModify,
        
        /// <remarks/>
        NetworkChange,
        
        /// <remarks/>
        UpdateDevice,
        
        /// <remarks/>
        NeworkChangeModify,
        
        /// <remarks/>
        RmaNotification,
        
        /// <remarks/>
        DeviceAddressUpdate,
        
        /// <remarks/>
        ModifyCustomerAccount,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public partial class DisconnectInformation {
        
        private string deviceIDField;
        
        private string deviceSerialNumberField;
        
        private string requestedDisconnectDateField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string deviceID {
            get {
                return this.deviceIDField;
            }
            set {
                this.deviceIDField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string deviceSerialNumber {
            get {
                return this.deviceSerialNumberField;
            }
            set {
                this.deviceSerialNumberField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string requestedDisconnectDate {
            get {
                return this.requestedDisconnectDateField;
            }
            set {
                this.requestedDisconnectDateField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public partial class DeviceInformation {
        
        private string deviceIDField;
        
        private string deviceSerialNumberField;
        
        private string modelField;
        
        private string vendorField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string deviceID {
            get {
                return this.deviceIDField;
            }
            set {
                this.deviceIDField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string deviceSerialNumber {
            get {
                return this.deviceSerialNumberField;
            }
            set {
                this.deviceSerialNumberField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string model {
            get {
                return this.modelField;
            }
            set {
                this.modelField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string vendor {
            get {
                return this.vendorField;
            }
            set {
                this.vendorField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public partial class OriginalDeviceInformation {
        
        private string deviceIDField;
        
        private string deviceSerialNumberField;
        
        private string modelField;
        
        private int originalRequestIDField;
        
        private bool originalRequestIDFieldSpecified;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string deviceID {
            get {
                return this.deviceIDField;
            }
            set {
                this.deviceIDField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string deviceSerialNumber {
            get {
                return this.deviceSerialNumberField;
            }
            set {
                this.deviceSerialNumberField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string model {
            get {
                return this.modelField;
            }
            set {
                this.modelField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public int originalRequestID {
            get {
                return this.originalRequestIDField;
            }
            set {
                this.originalRequestIDField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool originalRequestIDSpecified {
            get {
                return this.originalRequestIDFieldSpecified;
            }
            set {
                this.originalRequestIDFieldSpecified = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public partial class SiteInformation {
        
        private string locationNameField;
        
        private int locationIDField;
        
        private AddressInformation siteAddressField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string locationName {
            get {
                return this.locationNameField;
            }
            set {
                this.locationNameField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public int locationID {
            get {
                return this.locationIDField;
            }
            set {
                this.locationIDField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public AddressInformation siteAddress {
            get {
                return this.siteAddressField;
            }
            set {
                this.siteAddressField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public partial class AddressInformation {
        
        private string streetAddress1Field;
        
        private string streetAddress2Field;
        
        private string cityField;
        
        private string stateField;
        
        private string zIPField;
        
        private string intlPostalCodeField;
        
        private string provinceField;
        
        private string countryField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string streetAddress1 {
            get {
                return this.streetAddress1Field;
            }
            set {
                this.streetAddress1Field = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string streetAddress2 {
            get {
                return this.streetAddress2Field;
            }
            set {
                this.streetAddress2Field = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string city {
            get {
                return this.cityField;
            }
            set {
                this.cityField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string state {
            get {
                return this.stateField;
            }
            set {
                this.stateField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string ZIP {
            get {
                return this.zIPField;
            }
            set {
                this.zIPField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string intlPostalCode {
            get {
                return this.intlPostalCodeField;
            }
            set {
                this.intlPostalCodeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string province {
            get {
                return this.provinceField;
            }
            set {
                this.provinceField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string country {
            get {
                return this.countryField;
            }
            set {
                this.countryField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public partial class InstallationInformation {
        
        private ContactPerson installationContactPersonField;
        
        private ContactPerson installationBackupContactPersonField;
        
        private string installationSlotDateTimeStartField;
        
        private bool installationSlotDateTimeStartFieldSpecified;
        
        private string installationSlotDateTimeEndField;
        
        private bool installationSlotDateTimeEndFieldSpecified;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public ContactPerson installationContactPerson {
            get {
                return this.installationContactPersonField;
            }
            set {
                this.installationContactPersonField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public ContactPerson installationBackupContactPerson {
            get {
                return this.installationBackupContactPersonField;
            }
            set {
                this.installationBackupContactPersonField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string installationSlotDateTimeStart {
            get {
                return this.installationSlotDateTimeStartField;
            }
            set {
                this.installationSlotDateTimeStartField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool installationSlotDateTimeStartSpecified {
            get {
                return this.installationSlotDateTimeStartFieldSpecified;
            }
            set {
                this.installationSlotDateTimeStartFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string installationSlotDateTimeEnd {
            get {
                return this.installationSlotDateTimeEndField;
            }
            set {
                this.installationSlotDateTimeEndField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool installationSlotDateTimeEndSpecified {
            get {
                return this.installationSlotDateTimeEndFieldSpecified;
            }
            set {
                this.installationSlotDateTimeEndFieldSpecified = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public partial class ContactPerson {
        
        private string nameField;
        
        private string phoneNumberDomesticField;
        
        private string phoneNumberInternationalField;
        
        private string phoneNumberExtensionField;
        
        private string emailAddressField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string name {
            get {
                return this.nameField;
            }
            set {
                this.nameField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string phoneNumberDomestic {
            get {
                return this.phoneNumberDomesticField;
            }
            set {
                this.phoneNumberDomesticField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string phoneNumberInternational {
            get {
                return this.phoneNumberInternationalField;
            }
            set {
                this.phoneNumberInternationalField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string phoneNumberExtension {
            get {
                return this.phoneNumberExtensionField;
            }
            set {
                this.phoneNumberExtensionField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string emailAddress {
            get {
                return this.emailAddressField;
            }
            set {
                this.emailAddressField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public partial class OrganizationInformation {
        
        private string organizationIDField;
        
        private string organizationNameField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string organizationID {
            get {
                return this.organizationIDField;
            }
            set {
                this.organizationIDField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string organizationName {
            get {
                return this.organizationNameField;
            }
            set {
                this.organizationNameField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public partial class ShippingContactAddressInformation {
        
        private ContactPerson shippingContactPersonField;
        
        private AddressInformation shippingAddressField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public ContactPerson shippingContactPerson {
            get {
                return this.shippingContactPersonField;
            }
            set {
                this.shippingContactPersonField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public AddressInformation shippingAddress {
            get {
                return this.shippingAddressField;
            }
            set {
                this.shippingAddressField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public partial class InternalNetworkInfoType3 {
        
        private string lanIpAddressField;
        
        private string lanSubnetMaskField;
        
        private PortSpeedType lanPortSpeedField;
        
        private DuplexType lanDuplexField;
        
        private SubscriberPCType2[] subscriberPCListField;
        
        private SubscriberNetworkType[] subscriberNetworkListField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string lanIpAddress {
            get {
                return this.lanIpAddressField;
            }
            set {
                this.lanIpAddressField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string lanSubnetMask {
            get {
                return this.lanSubnetMaskField;
            }
            set {
                this.lanSubnetMaskField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public PortSpeedType lanPortSpeed {
            get {
                return this.lanPortSpeedField;
            }
            set {
                this.lanPortSpeedField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public DuplexType lanDuplex {
            get {
                return this.lanDuplexField;
            }
            set {
                this.lanDuplexField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        [System.Xml.Serialization.XmlArrayItemAttribute("subscriberPC", Form=System.Xml.Schema.XmlSchemaForm.Unqualified, IsNullable=false)]
        public SubscriberPCType2[] subscriberPCList {
            get {
                return this.subscriberPCListField;
            }
            set {
                this.subscriberPCListField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        [System.Xml.Serialization.XmlArrayItemAttribute("subscriberNetwork", Form=System.Xml.Schema.XmlSchemaForm.Unqualified, IsNullable=false)]
        public SubscriberNetworkType[] subscriberNetworkList {
            get {
                return this.subscriberNetworkListField;
            }
            set {
                this.subscriberNetworkListField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public enum PortSpeedType {
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("10")]
        Item10,
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("100")]
        Item100,
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("1000")]
        Item1000,
        
        /// <remarks/>
        AUTO,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public enum DuplexType {
        
        /// <remarks/>
        HALF,
        
        /// <remarks/>
        FULL,
        
        /// <remarks/>
        AUTO,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public partial class SubscriberPCType2 {
        
        private string ipAddressField;
        
        private string gatewayField;
        
        private string multicastMacAddressField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string ipAddress {
            get {
                return this.ipAddressField;
            }
            set {
                this.ipAddressField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string gateway {
            get {
                return this.gatewayField;
            }
            set {
                this.gatewayField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string multicastMacAddress {
            get {
                return this.multicastMacAddressField;
            }
            set {
                this.multicastMacAddressField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public partial class SubscriberNetworkType {
        
        private string ipAddressField;
        
        private string subnetMaskField;
        
        private string gatewayField;
        
        private string multicastMacAddressField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string ipAddress {
            get {
                return this.ipAddressField;
            }
            set {
                this.ipAddressField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string subnetMask {
            get {
                return this.subnetMaskField;
            }
            set {
                this.subnetMaskField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string gateway {
            get {
                return this.gatewayField;
            }
            set {
                this.gatewayField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string multicastMacAddress {
            get {
                return this.multicastMacAddressField;
            }
            set {
                this.multicastMacAddressField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public partial class InternalNetworkInfoType2 {
        
        private SubscriberPCType2[] subscriberPCListField;
        
        private SubscriberNetworkType[] subscriberNetworkListField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        [System.Xml.Serialization.XmlArrayItemAttribute("subscriberPC", Form=System.Xml.Schema.XmlSchemaForm.Unqualified, IsNullable=false)]
        public SubscriberPCType2[] subscriberPCList {
            get {
                return this.subscriberPCListField;
            }
            set {
                this.subscriberPCListField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        [System.Xml.Serialization.XmlArrayItemAttribute("subscriberNetwork", Form=System.Xml.Schema.XmlSchemaForm.Unqualified, IsNullable=false)]
        public SubscriberNetworkType[] subscriberNetworkList {
            get {
                return this.subscriberNetworkListField;
            }
            set {
                this.subscriberNetworkListField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public partial class SubscriberPCType1 {
        
        private string ipAddressField;
        
        private InternalPortNumberType portNumberField;
        
        private PortSpeedType internalPortSpeedField;
        
        private DuplexType internalDuplexSettingField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string ipAddress {
            get {
                return this.ipAddressField;
            }
            set {
                this.ipAddressField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public InternalPortNumberType portNumber {
            get {
                return this.portNumberField;
            }
            set {
                this.portNumberField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public PortSpeedType internalPortSpeed {
            get {
                return this.internalPortSpeedField;
            }
            set {
                this.internalPortSpeedField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public DuplexType internalDuplexSetting {
            get {
                return this.internalDuplexSettingField;
            }
            set {
                this.internalDuplexSettingField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public enum InternalPortNumberType {
        
        /// <remarks/>
        Internal1,
        
        /// <remarks/>
        Internal2,
        
        /// <remarks/>
        Internal3,
        
        /// <remarks/>
        Internal4,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public partial class InternalNetworkInfoType1 {
        
        private string lanIpAddressField;
        
        private string lanSubnetMaskField;
        
        private SubscriberPCType1[] subscriberPCListField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string lanIpAddress {
            get {
                return this.lanIpAddressField;
            }
            set {
                this.lanIpAddressField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string lanSubnetMask {
            get {
                return this.lanSubnetMaskField;
            }
            set {
                this.lanSubnetMaskField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        [System.Xml.Serialization.XmlArrayItemAttribute("subscriberPC", Form=System.Xml.Schema.XmlSchemaForm.Unqualified, IsNullable=false)]
        public SubscriberPCType1[] subscriberPCList {
            get {
                return this.subscriberPCListField;
            }
            set {
                this.subscriberPCListField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public partial class ExternalNetworkType {
        
        private string wanIPAddressField;
        
        private string wanIPSubnetMaskField;
        
        private string wanDefaultGatewayField;
        
        private PortSpeedType wanSpeedField;
        
        private DuplexType wanDuplexField;
        
        private string macAddressForDefaultGatewayField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string wanIPAddress {
            get {
                return this.wanIPAddressField;
            }
            set {
                this.wanIPAddressField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string wanIPSubnetMask {
            get {
                return this.wanIPSubnetMaskField;
            }
            set {
                this.wanIPSubnetMaskField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string wanDefaultGateway {
            get {
                return this.wanDefaultGatewayField;
            }
            set {
                this.wanDefaultGatewayField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public PortSpeedType wanSpeed {
            get {
                return this.wanSpeedField;
            }
            set {
                this.wanSpeedField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public DuplexType wanDuplex {
            get {
                return this.wanDuplexField;
            }
            set {
                this.wanDuplexField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string macAddressForDefaultGateway {
            get {
                return this.macAddressForDefaultGatewayField;
            }
            set {
                this.macAddressForDefaultGatewayField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public partial class TypeGroupType {
        
        private TypeGroupTypeConfigurationType configurationTypeField;
        
        private string designTypeDescriptionField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public TypeGroupTypeConfigurationType configurationType {
            get {
                return this.configurationTypeField;
            }
            set {
                this.configurationTypeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string designTypeDescription {
            get {
                return this.designTypeDescriptionField;
            }
            set {
                this.designTypeDescriptionField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public enum TypeGroupTypeConfigurationType {
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("1")]
        Item1,
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("2")]
        Item2,
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("3")]
        Item3,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public partial class ConfigurationInformation {
        
        private TypeGroupType typeGroupField;
        
        private ExternalNetworkType externalNetworkField;
        
        private object itemField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public TypeGroupType typeGroup {
            get {
                return this.typeGroupField;
            }
            set {
                this.typeGroupField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public ExternalNetworkType externalNetwork {
            get {
                return this.externalNetworkField;
            }
            set {
                this.externalNetworkField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("type1InternalNetwork", typeof(InternalNetworkInfoType1), Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        [System.Xml.Serialization.XmlElementAttribute("type2InternalNetwork", typeof(InternalNetworkInfoType2), Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        [System.Xml.Serialization.XmlElementAttribute("type3InternalNetwork", typeof(InternalNetworkInfoType3), Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public object Item {
            get {
                return this.itemField;
            }
            set {
                this.itemField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public partial class AcknowledgmentInformation {
        
        private Status statusField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public Status status {
            get {
                return this.statusField;
            }
            set {
                this.statusField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public enum Status {
        
        /// <remarks/>
        Accepted,
        
        /// <remarks/>
        Rejected,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public enum ResponseDescription {
        
        /// <remarks/>
        NewOrderInstallShipping,
        
        /// <remarks/>
        NewOrderInstallComplete,
        
        /// <remarks/>
        NewOrderInstallConfirm,
        
        /// <remarks/>
        NewOrderModifyConfirm,
        
        /// <remarks/>
        NewOrderCancelConfirm,
        
        /// <remarks/>
        NewOrderReworkConfirm,
        
        /// <remarks/>
        StatusUpdate,
        
        /// <remarks/>
        NewOrderInstall,
        
        /// <remarks/>
        NewOrderModify,
        
        /// <remarks/>
        NewOrderCancel,
        
        /// <remarks/>
        NewOrderRework,
        
        /// <remarks/>
        DisconnectService,
        
        /// <remarks/>
        DisconnectServiceComplete,
        
        /// <remarks/>
        DisconnectServiceCancel,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
    public partial class tadpoleToCowsDisconnectService {
        
        private DisconnectInformation disconnectInformationField;
        
        private OrganizationInformation organizationInformationField;
        
        private MoveOrder moveOrderField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public DisconnectInformation disconnectInformation {
            get {
                return this.disconnectInformationField;
            }
            set {
                this.disconnectInformationField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public OrganizationInformation organizationInformation {
            get {
                return this.organizationInformationField;
            }
            set {
                this.organizationInformationField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public MoveOrder moveOrder {
            get {
                return this.moveOrderField;
            }
            set {
                this.moveOrderField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public enum MoveOrder {
        
        /// <remarks/>
        Y,
        
        /// <remarks/>
        N,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
    public partial class tadpoleToCowsDisconnectServiceCancel {
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
    public partial class tadpoleToCowsNewOrderCancel {
        
        private tadpoleToCowsNewOrderCancelInternalCancel internalCancelField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public tadpoleToCowsNewOrderCancelInternalCancel internalCancel {
            get {
                return this.internalCancelField;
            }
            set {
                this.internalCancelField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
    public enum tadpoleToCowsNewOrderCancelInternalCancel {
        
        /// <remarks/>
        Y,
        
        /// <remarks/>
        N,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
    public partial class tadpoleToCowsNewOrderInstall {
        
        private ConfigurationInformation configurationInformationField;
        
        private ShippingContactAddressInformation shippingContactAddressInformationField;
        
        private OrganizationInformation organizationInformationField;
        
        private InstallationInformation installationInformationField;
        
        private SiteInformation siteInformationField;
        
        private OriginalDeviceInformation originalDeviceInformationField;
        
        private DeviceInformation deviceInformationField;
        
        private MoveOrder moveOrderField;
        
        private OrderType orderTypeField;
        
        private bool expeditedShippingField;
        
        private ReplacementReason replacementReasonField;
        
        private bool replacementReasonFieldSpecified;
        
        private string originalDeviceIdField;
        
        private MigrationReason migrationReasonField;
        
        private bool migrationReasonFieldSpecified;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public ConfigurationInformation configurationInformation {
            get {
                return this.configurationInformationField;
            }
            set {
                this.configurationInformationField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public ShippingContactAddressInformation shippingContactAddressInformation {
            get {
                return this.shippingContactAddressInformationField;
            }
            set {
                this.shippingContactAddressInformationField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public OrganizationInformation organizationInformation {
            get {
                return this.organizationInformationField;
            }
            set {
                this.organizationInformationField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public InstallationInformation installationInformation {
            get {
                return this.installationInformationField;
            }
            set {
                this.installationInformationField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public SiteInformation siteInformation {
            get {
                return this.siteInformationField;
            }
            set {
                this.siteInformationField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public OriginalDeviceInformation originalDeviceInformation {
            get {
                return this.originalDeviceInformationField;
            }
            set {
                this.originalDeviceInformationField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public DeviceInformation deviceInformation {
            get {
                return this.deviceInformationField;
            }
            set {
                this.deviceInformationField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public MoveOrder moveOrder {
            get {
                return this.moveOrderField;
            }
            set {
                this.moveOrderField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public OrderType orderType {
            get {
                return this.orderTypeField;
            }
            set {
                this.orderTypeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public bool expeditedShipping {
            get {
                return this.expeditedShippingField;
            }
            set {
                this.expeditedShippingField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public ReplacementReason replacementReason {
            get {
                return this.replacementReasonField;
            }
            set {
                this.replacementReasonField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool replacementReasonSpecified {
            get {
                return this.replacementReasonFieldSpecified;
            }
            set {
                this.replacementReasonFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string originalDeviceId {
            get {
                return this.originalDeviceIdField;
            }
            set {
                this.originalDeviceIdField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public MigrationReason migrationReason {
            get {
                return this.migrationReasonField;
            }
            set {
                this.migrationReasonField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool migrationReasonSpecified {
            get {
                return this.migrationReasonFieldSpecified;
            }
            set {
                this.migrationReasonFieldSpecified = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public enum OrderType {
        
        /// <remarks/>
        ReplacementOrder,
        
        /// <remarks/>
        ReOrder,
        
        /// <remarks/>
        NewOrder,
        
        /// <remarks/>
        RefreshOrder,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public enum ReplacementReason {
        
        /// <remarks/>
        CustomerCausedConfigProblem,
        
        /// <remarks/>
        SprintCausedConfigProblem,
        
        /// <remarks/>
        HardwareFailure,
        
        /// <remarks/>
        DeviceLostInTransit,
        
        /// <remarks/>
        HWUpgrade,
        
        /// <remarks/>
        FacilityMove,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.sprint.com/fedline/ToCowsNewOrder/")]
    public enum MigrationReason {
        
        /// <remarks/>
        MigratingReplacementDevice,
        
        /// <remarks/>
        MigratingParallelBuild,
        
        /// <remarks/>
        NewDevice,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
    public partial class tadpoleToCowsNewOrderModify {
        
        private InstallationInformation installationInformationField;
        
        private string deviceSerialNumberField;
        
        private tadpoleToCowsNewOrderModifyChange changeField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public InstallationInformation installationInformation {
            get {
                return this.installationInformationField;
            }
            set {
                this.installationInformationField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string deviceSerialNumber {
            get {
                return this.deviceSerialNumberField;
            }
            set {
                this.deviceSerialNumberField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public tadpoleToCowsNewOrderModifyChange change {
            get {
                return this.changeField;
            }
            set {
                this.changeField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
    public enum tadpoleToCowsNewOrderModifyChange {
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("1")]
        Item1,
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("2")]
        Item2,
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("3")]
        Item3,
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("4")]
        Item4,
    }
}
